Name:           mate-notification-daemon
Version:        1.5.1
Release:        1%{?dist}
Summary:        Notification daemon for MATE Desktop
License:        GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires:  dbus-glib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  icon-naming-utils
BuildRequires:  libcanberra-devel
BuildRequires:  libmatenotify-devel
BuildRequires:  libmatewnck-devel
BuildRequires:  mate-common
BuildRequires:  mate-desktop-devel
BuildRequires:  mate-doc-utils

%description
Notification daemon for MATE Desktop

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-schemas-compile   \
           --with-gtk=2.0              \
           --with-gnu-ld               

make %{?_smp_mflags} V=1

%install
#Keeping this just in case, not needed anymore
#LIBTOOL="/usr/bin/libtool" 
make install DESTDIR=%{buildroot}

desktop-file-install                               \
        --remove-category="MATE"                   \
        --add-category="X-Mate"                    \
        --delete-original                          \
        --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/mate-notification-properties.desktop

%find_lang %{name}

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/mate-notification-properties
%{_datadir}/applications/mate-notification-properties.desktop
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%{_datadir}/mate-notification-daemon/mate-notification-properties.ui
%{_libexecdir}/mate-notification-daemon
%{_datadir}/icons/hicolor/*/apps/mate-notification-properties.*
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_datadir}/MateConf/gsettings/mate-notification-daemon.convert
%{_libdir}/mate-notification-daemon


%changelog
* Sun Jan 20 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Update to 1.5.1 release
- Update configure flags
- Update icon scriptlets
- Switch back to old BR style
- Sort BR's in alphabetical order
- Remove explicit variable for libtool in make

* Tue Oct 30 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release
- add schema scriptlets and remove mateconf scriptlets
- add requires gsettings-desktop-schemas
- add build requires gsettings-desktop-schemas-devel
- change build requires style
- fix ldconfig scriptlet

* Wed Sep 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-9
- Fix mate-conf scriptlets (again)

* Mon Sep 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-8
- Fix mate-conf scriptlets and bump release version

* Sat Sep 15 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-7
- Fix post and postun scriptlets

* Sat Sep 15 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-6
- Add desktop-file-validate and remove only showin for < f18 since desktop-file-utils was updated to the latest version. 

* Sat Sep 15 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-5
- Remove unneeded pre scriptlet and move post postun scriptlets before install scriptlet

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-4
- fix schema scriptlets
- drop uneeded update-desktop-database scriptlets
- License: GPLv2+
- %%doc AUTHORS COPYING README

* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Switch from gconf scriptlets to mate conf scriptlets

* Sat Aug 08 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Remove po_package and add provides field.

* Thu Jul 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
-Initial build
